Bug 963804 - GET multiMetricData does not compute min, max and average values
GET multiMetricData does not compute min, max and average values
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: REST (Show other bugs)
4.8
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.8
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 11:05 EDT by Libor Zoubek
Modified: 2015-11-01 19:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:17:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2013-05-16 11:05:40 EDT
Version-Release number of selected component (if applicable):
RHQ 4.8-master

How reproducible: always


Steps to Reproduce:
1.have a metric schedule with some data
2.do GET mertic/data/.json?sid=<scheduleId>&dataPoints=10
3.
  
Actual results: you get values but fields min,max and avg are null


Expected results: fields min,max, and avg should not be null. single metric data request calculates those values correctly


Additional info:
Comment 1 Heiko W. Rupp 2013-06-05 11:22:56 EDT
master f14fbc3a29e
Comment 2 Heiko W. Rupp 2013-08-31 06:17:45 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.